Xerces2 Implementation: Class DOMConfigurationImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMConfigurationImpl

    java.lang.Object
      |
      +--org.apache.xerces.util.ParserConfigurationSettings
            |
            +--org.apache.xerces.dom.DOMConfigurationImpl

All Implemented Interfaces:
  org.w3c.dom.DOMConfiguration, org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration

public class DOMConfigurationImpl
extends ParserConfigurationSettings
implements org.apache.xerces.xni.parser.XMLParserConfiguration, org.w3c.dom.DOMConfiguration

Xerces implementation of DOMConfiguration that maintains a table of recognized parameters.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DOMConfigurationImpl.java 805582 2009-08-18 21:13:20Z sandygao $
Author:
  Elena Litani, IBM, Neeraj Bajaj, Sun Microsystems.

Field Summary
`protected static java.lang.String` | `BALANCE_SYNTAX_TREES` Feature identifier: balance syntax trees.
`protected static short` | `CDATA`
`protected static short` | `COMMENTS`
`protected static java.lang.String` | `DISALLOW_DOCTYPE_DECL_FEATURE` Feature identifier: load external DTD.
`protected static java.lang.String` | `DTD_VALIDATOR_FACTORY_PROPERTY` Property identifier: datatype validator factory.
`protected static java.lang.String` | `DTD_VALIDATOR_PROPERTY` Property identifier: DTD validator.
`protected static short` | `DTNORMALIZATION`
`protected static java.lang.String` | `DYNAMIC_VALIDATION`
`protected static short` | `ENTITIES`
`protected static java.lang.String` | `ENTITY_MANAGER` Property identifier: entity manager.
`protected static java.lang.String` | `ENTITY_RESOLVER` Property identifier: entity resolver.
`protected static java.lang.String` | `ERROR_HANDLER` Property identifier: error handler.
`protected static java.lang.String` | `ERROR_REPORTER` Property identifier: error reporter.
`protected java.util.ArrayList` | `fComponents` Components.
`protected DTDDVFactory` | `fCurrentDVFactory` Current Datatype validator factory.
`protected DTDDVFactory` | `fDatatypeValidatorFactory` The XML 1.0 Datatype validator factory.
`protected short` | `features` Normalization features
`protected DOMErrorHandlerWrapper` | `fErrorHandlerWrapper`
`protected XMLErrorReporter` | `fErrorReporter` Error reporter
`protected java.util.Locale` | `fLocale` Locale.
`protected SymbolTable` | `fSymbolTable` Symbol table.
`protected ValidationManager` | `fValidationManager`
`protected DTDDVFactory` | `fXML11DatatypeFactory` The XML 1.1 Datatype validator factory.
`protected static java.lang.String` | `GENERATE_SYNTHETIC_ANNOTATIONS` Feature: generate synthetic annotations
`protected static java.lang.String` | `GRAMMAR_POOL` Property id: Grammar pool.
`protected static java.lang.String` | `HONOUR_ALL_SCHEMALOCATIONS` Feature identifier: honour all schemaLocations
`protected static short` | `INFOSET_FALSE_PARAMS`
`protected static short` | `INFOSET_MASK`
`protected static short` | `INFOSET_TRUE_PARAMS`
`protected static java.lang.String` | `JAXP_SCHEMA_LANGUAGE` Property identifier: JAXP schema language / DOM schema-type.
`protected static java.lang.String` | `JAXP_SCHEMA_SOURCE` Property identifier: JAXP schema source/ DOM schema-location.
`protected static java.lang.String` | `NAMESPACE_GROWTH` Feature identifier: namespace growth
`protected static short` | `NAMESPACES`
`protected static java.lang.String` | `NORMALIZE_DATA`
`protected static short` | `NSDECL`
`protected static short` | `PSVI`
`protected static java.lang.String` | `SCHEMA`
`protected static java.lang.String` | `SCHEMA_DV_FACTORY` Property identifier: Schema DV Factory
`protected static java.lang.String` | `SCHEMA_ELEMENT_DEFAULT` Feature identifier: send element default value via characters()
`protected static java.lang.String` | `SCHEMA_FULL_CHECKING`
`protected static java.lang.String` | `SCHEMA_LOCATION` Property identifier: schema location.
`protected static java.lang.String` | `SCHEMA_NONS_LOCATION` Property identifier: no namespace schema location.
`protected static java.lang.String` | `SECURITY_MANAGER` property identifier: security manager.
`protected static java.lang.String` | `SEND_PSVI` sending psvi in the pipeline
`protected static short` | `SPLITCDATA`
`protected static java.lang.String` | `SYMBOL_TABLE` Property identifier: symbol table.
`protected static java.lang.String` | `TOLERATE_DUPLICATES`
`protected static java.lang.String` | `USE_GRAMMAR_POOL_ONLY` Feature identifier: use grammar pool only
`protected static short` | `VALIDATE`
`protected static java.lang.String` | `VALIDATE_ANNOTATIONS` Feature identifier: validate annotations
`protected static java.lang.String` | `VALIDATION_MANAGER`
`protected static java.lang.String` | `WARN_ON_DUPLICATE_ATTDEF` Feature identifier: warn on duplicate attribute definition.
`protected static short` | `WELLFORMED`
`protected static java.lang.String` | `XERCES_NAMESPACES` Feature identifier: namespaces.
`protected static java.lang.String` | `XERCES_VALIDATION` Feature identifier: validation.
`protected static java.lang.String` | `XML_STRING` Property identifier: xml string.
`protected static java.lang.String` | `XML11_DATATYPE_VALIDATOR_FACTORY`

Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties, PARSER_SETTINGS`

Constructor Summary
`protected` | `DOMConfigurationImpl()` Default Constructor.
`protected` | `DOMConfigurationImpl(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`protected` | `DOMConfigurationImpl(SymbolTable symbolTable, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table and parent settings.

Method Summary
`protected void` | `addComponent(org.apache.xerces.xni.parser.XMLComponent component)`
`boolean` | `canSetParameter(java.lang.String name, java.lang.Object value)` DOM Level 3 WD - Experimental.
`protected void` | `checkProperty(java.lang.String propertyId)` Check a property.
`protected ValidationManager` | `createValidationManager()`
`org.apache.xerces.xni.XMLDocumentHandler` | `getDocumentHandler()` Returns the registered document handler.
`org.apache.xerces.xni.XMLDTDContentModelHandler` | `getDTDContentModelHandler()` Returns the registered DTD content model handler.
`org.apache.xerces.xni.XMLDTDHandler` | `getDTDHandler()` Returns the registered DTD handler.
`org.apache.xerces.xni.parser.XMLEntityResolver` | `getEntityResolver()` Return the current entity resolver.
`org.apache.xerces.xni.parser.XMLErrorHandler` | `getErrorHandler()` Return the current error handler.
`boolean` | `getFeature(java.lang.String featureId)` Returns the state of a feature.
`java.util.Locale` | `getLocale()` Returns the locale.
`java.lang.Object` | `getParameter(java.lang.String name)` DOM Level 3 WD - Experimental.
`org.w3c.dom.DOMStringList` | `getParameterNames()` DOM Level 3 CR - Experimental.
`void` | `parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)` Parse an XML document.
`protected void` | `reset()` reset all components before parsing
`void` | `setDocumentHandler(org.apache.xerces.xni.XMLDocumentHandler documentHandler)` Sets the document handler on the last component in the pipeline to receive information about the document.
`void` | `setDTDContentModelHandler(org.apache.xerces.xni.XMLDTDContentModelHandler handler)` Sets the DTD content model handler.
`void` | `setDTDHandler(org.apache.xerces.xni.XMLDTDHandler dtdHandler)` Sets the DTD handler.
`protected void` | `setDTDValidatorFactory(java.lang.String version)`
`void` | `setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver resolver)` Sets the resolver used to resolve external entities.
`void` | `setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler errorHandler)` Allow an application to register an error event handler.
`void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of a feature.
`void` | `setLocale(java.util.Locale locale)` Set the locale to use for messages.
`void` | `setParameter(java.lang.String name, java.lang.Object value)` DOM Level 3 WD - Experimental.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` setProperty

Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, checkFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getProperty`

Field Detail

### XML11_DATATYPE_VALIDATOR_FACTORY

    protected static final java.lang.String XML11_DATATYPE_VALIDATOR_FACTORY

### XERCES_VALIDATION

    protected static final java.lang.String XERCES_VALIDATION

  Feature identifier: validation.

### XERCES_NAMESPACES

    protected static final java.lang.String XERCES_NAMESPACES

  Feature identifier: namespaces.

### SCHEMA

    protected static final java.lang.String SCHEMA

### SCHEMA_FULL_CHECKING

    protected static final java.lang.String SCHEMA_FULL_CHECKING

### DYNAMIC_VALIDATION

    protected static final java.lang.String DYNAMIC_VALIDATION

### NORMALIZE_DATA

    protected static final java.lang.String NORMALIZE_DATA

### SCHEMA_ELEMENT_DEFAULT

    protected static final java.lang.String SCHEMA_ELEMENT_DEFAULT

  Feature identifier: send element default value via characters()

### SEND_PSVI

    protected static final java.lang.String SEND_PSVI

  sending psvi in the pipeline

### GENERATE_SYNTHETIC_ANNOTATIONS

    protected static final java.lang.String GENERATE_SYNTHETIC_ANNOTATIONS

  Feature: generate synthetic annotations

### VALIDATE_ANNOTATIONS

    protected static final java.lang.String VALIDATE_ANNOTATIONS

  Feature identifier: validate annotations

### HONOUR_ALL_SCHEMALOCATIONS

    protected static final java.lang.String HONOUR_ALL_SCHEMALOCATIONS

  Feature identifier: honour all schemaLocations

### USE_GRAMMAR_POOL_ONLY

    protected static final java.lang.String USE_GRAMMAR_POOL_ONLY

  Feature identifier: use grammar pool only

### DISALLOW_DOCTYPE_DECL_FEATURE

    protected static final java.lang.String DISALLOW_DOCTYPE_DECL_FEATURE

  Feature identifier: load external DTD.

### BALANCE_SYNTAX_TREES

    protected static final java.lang.String BALANCE_SYNTAX_TREES

  Feature identifier: balance syntax trees.

### WARN_ON_DUPLICATE_ATTDEF

    protected static final java.lang.String WARN_ON_DUPLICATE_ATTDEF

  Feature identifier: warn on duplicate attribute definition.

### NAMESPACE_GROWTH

    protected static final java.lang.String NAMESPACE_GROWTH

  Feature identifier: namespace growth

### TOLERATE_DUPLICATES

    protected static final java.lang.String TOLERATE_DUPLICATES

### ENTITY_MANAGER

    protected static final java.lang.String ENTITY_MANAGER

  Property identifier: entity manager.

### ERROR_REPORTER

    protected static final java.lang.String ERROR_REPORTER

  Property identifier: error reporter.

### XML_STRING

    protected static final java.lang.String XML_STRING

  Property identifier: xml string.

### SYMBOL_TABLE

    protected static final java.lang.String SYMBOL_TABLE

  Property identifier: symbol table.

### GRAMMAR_POOL

    protected static final java.lang.String GRAMMAR_POOL

  Property id: Grammar pool.

### SECURITY_MANAGER

    protected static final java.lang.String SECURITY_MANAGER

  property identifier: security manager.

### ERROR_HANDLER

    protected static final java.lang.String ERROR_HANDLER

  Property identifier: error handler.

### ENTITY_RESOLVER

    protected static final java.lang.String ENTITY_RESOLVER

  Property identifier: entity resolver.

### JAXP_SCHEMA_LANGUAGE

    protected static final java.lang.String JAXP_SCHEMA_LANGUAGE

  Property identifier: JAXP schema language / DOM schema-type.

### JAXP_SCHEMA_SOURCE

    protected static final java.lang.String JAXP_SCHEMA_SOURCE

  Property identifier: JAXP schema source/ DOM schema-location.

### DTD_VALIDATOR_PROPERTY

    protected static final java.lang.String DTD_VALIDATOR_PROPERTY

  Property identifier: DTD validator.

### DTD_VALIDATOR_FACTORY_PROPERTY

    protected static final java.lang.String DTD_VALIDATOR_FACTORY_PROPERTY

  Property identifier: datatype validator factory.

### VALIDATION_MANAGER

    protected static final java.lang.String VALIDATION_MANAGER

### SCHEMA_LOCATION

    protected static final java.lang.String SCHEMA_LOCATION

  Property identifier: schema location.

### SCHEMA_NONS_LOCATION

    protected static final java.lang.String SCHEMA_NONS_LOCATION

  Property identifier: no namespace schema location.

### SCHEMA_DV_FACTORY

    protected static final java.lang.String SCHEMA_DV_FACTORY

  Property identifier: Schema DV Factory

### features

    protected short features

  Normalization features

### NAMESPACES

    protected static final short NAMESPACES

### DTNORMALIZATION

    protected static final short DTNORMALIZATION

### ENTITIES

    protected static final short ENTITIES

### CDATA

    protected static final short CDATA

### SPLITCDATA

    protected static final short SPLITCDATA

### COMMENTS

    protected static final short COMMENTS

### VALIDATE

    protected static final short VALIDATE

### PSVI

    protected static final short PSVI

### WELLFORMED

    protected static final short WELLFORMED

### NSDECL

    protected static final short NSDECL

### INFOSET_TRUE_PARAMS

    protected static final short INFOSET_TRUE_PARAMS

### INFOSET_FALSE_PARAMS

    protected static final short INFOSET_FALSE_PARAMS

### INFOSET_MASK

    protected static final short INFOSET_MASK

### fSymbolTable

    protected SymbolTable fSymbolTable

  Symbol table.

### fComponents

    protected java.util.ArrayList fComponents

  Components.

### fValidationManager

    protected ValidationManager fValidationManager

### fLocale

    protected java.util.Locale fLocale

  Locale.

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

  Error reporter

### fErrorHandlerWrapper

    protected final DOMErrorHandlerWrapper fErrorHandlerWrapper

### fCurrentDVFactory

    protected DTDDVFactory fCurrentDVFactory

  Current Datatype validator factory.

### fDatatypeValidatorFactory

    protected DTDDVFactory fDatatypeValidatorFactory

  The XML 1.0 Datatype validator factory.

### fXML11DatatypeFactory

    protected DTDDVFactory fXML11DatatypeFactory

  The XML 1.1 Datatype validator factory.

Constructor Detail

### DOMConfigurationImpl

    protected DOMConfigurationImpl()

  Default Constructor.

### DOMConfigurationImpl

    protected DOMConfigurationImpl(SymbolTable symbolTable)

  Constructs a parser configuration using the specified symbol table.
  Parameters:
    `symbolTable` - The symbol table to use.

### DOMConfigurationImpl

    protected DOMConfigurationImpl(SymbolTable symbolTable,
                                   org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

  Constructs a parser configuration using the specified symbol table and parent settings.
  Parameters:
    `symbolTable` - The symbol table to use.
    `parentSettings` - The parent settings.

Method Detail

### parse

    public void parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)
               throws org.apache.xerces.xni.XNIException,
                      java.io.IOException

  Parse an XML document.

  The parser can use this method to instruct this configuration to begin parsing an XML document from any valid input source (a character stream, a byte stream, or a URI).

  Parsers may not invoke this method while a parse is in progress. Once a parse is complete, the parser may then parse another XML document.

  This method is synchronous: it will not return until parsing has ended. If a client application wants to terminate parsing early, it should throw an exception.

  Specified by:
    `parse` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `inputSource` - The input source for the top-level of the XML document.
  Throws:
    `org.apache.xerces.xni.XNIException` - Any XNI exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.

### setDocumentHandler

    public void setDocumentHandler(org.apache.xerces.xni.XMLDocumentHandler documentHandler)

  Sets the document handler on the last component in the pipeline to receive information about the document.
  Specified by:
    `setDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `documentHandler` - The document handler.

### getDocumentHandler

    public org.apache.xerces.xni.XMLDocumentHandler getDocumentHandler()

  Returns the registered document handler.
  Specified by:
    `getDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setDTDHandler

    public void setDTDHandler(org.apache.xerces.xni.XMLDTDHandler dtdHandler)

  Sets the DTD handler.
  Specified by:
    `setDTDHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `dtdHandler` - The DTD handler.

### getDTDHandler

    public org.apache.xerces.xni.XMLDTDHandler getDTDHandler()

  Returns the registered DTD handler.
  Specified by:
    `getDTDHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setDTDContentModelHandler

    public void setDTDContentModelHandler(org.apache.xerces.xni.XMLDTDContentModelHandler handler)

  Sets the DTD content model handler.
  Specified by:
    `setDTDContentModelHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `handler` - The DTD content model handler.

### getDTDContentModelHandler

    public org.apache.xerces.xni.XMLDTDContentModelHandler getDTDContentModelHandler()

  Returns the registered DTD content model handler.
  Specified by:
    `getDTDContentModelHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setEntityResolver

    public void setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver resolver)

  Sets the resolver used to resolve external entities. The EntityResolver interface supports resolution of public and system identifiers.
  Specified by:
    `setEntityResolver` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `resolver` - The new entity resolver. Passing a null value will uninstall the currently installed resolver.

### getEntityResolver

    public org.apache.xerces.xni.parser.XMLEntityResolver getEntityResolver()

  Return the current entity resolver.
  Specified by:
    `getEntityResolver` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver)`

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler errorHandler)

  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `errorHandler` - The error handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `getErrorHandler()`

### getErrorHandler

    public org.apache.xerces.xni.parser.XMLErrorHandler getErrorHandler()

  Return the current error handler.
  Specified by:
    `getErrorHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler)`

### getFeature

    public boolean getFeature(java.lang.String featureId)
                       throws org.apache.xerces.xni.parser.XMLConfigurationException

  Returns the state of a feature.
  Specified by:
    `getFeature` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `getFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The feature identifier.
  Returns:
    true if the feature is supported
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws org.apache.xerces.xni.parser.XMLConfigurationException

  Set the state of a feature. Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.
  Specified by:
    `setFeature` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - If the requested feature is not known.

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)
                     throws org.apache.xerces.xni.parser.XMLConfigurationException

  setProperty
  Specified by:
    `setProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` -
    `value` -

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws org.apache.xerces.xni.XNIException

  Set the locale to use for messages.
  Specified by:
    `setLocale` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown if the parser does not support the specified locale.

### getLocale

    public java.util.Locale getLocale()

  Returns the locale.
  Specified by:
    `getLocale` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object value)
                      throws org.w3c.dom.DOMException

  DOM Level 3 WD - Experimental. setParameter
  Specified by:
    `setParameter` in interface `org.w3c.dom.DOMConfiguration`
  Following copied from interface: `org.w3c.dom.DOMConfiguration`
  Parameters:
    `name` - The name of the parameter to set.
    `value` - The new value or `null` if the user wishes to unset the parameter. While the type of the value parameter is defined as `DOMUserData`, the object type must match the type defined by the definition of the parameter. For example, if the parameter is "error-handler", the value must be of type `DOMErrorHandler`.
  Throws:
    `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised when the parameter name is not recognized.
    NOT_SUPPORTED_ERR: Raised when the parameter name is recognized but the requested value cannot be set.
    TYPE_MISMATCH_ERR: Raised if the value type for this parameter name is incompatible with the expected value type.

### getParameter

    public java.lang.Object getParameter(java.lang.String name)
                                  throws org.w3c.dom.DOMException

  DOM Level 3 WD - Experimental. getParameter
  Specified by:
    `getParameter` in interface `org.w3c.dom.DOMConfiguration`
  Following copied from interface: `org.w3c.dom.DOMConfiguration`
  Parameters:
    `name` - The name of the parameter.
  Returns:
    The current object associated with the specified parameter or `null` if no object has been associated or if the parameter is not supported.
  Throws:
    `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised when the parameter name is not recognized.

### canSetParameter

    public boolean canSetParameter(java.lang.String name,
                                   java.lang.Object value)

  DOM Level 3 WD - Experimental. Check if setting a parameter to a specific value is supported.
  Specified by:
    `canSetParameter` in interface `org.w3c.dom.DOMConfiguration`
  Parameters:
    `name` - The name of the parameter to check.
    `value` - An object. if null, the returned value is true.
  Returns:
    true if the parameter could be successfully set to the specified value, or false if the parameter is not recognized or the requested value is not supported. This does not change the current value of the parameter itself.

### getParameterNames

    public org.w3c.dom.DOMStringList getParameterNames()

  DOM Level 3 CR - Experimental. The list of the parameters supported by this `DOMConfiguration` object and for which at least one value can be set by the application. Note that this list can also contain parameter names defined outside this specification.
  Specified by:
    `getParameterNames` in interface `org.w3c.dom.DOMConfiguration`

### reset

    protected void reset()
                  throws org.apache.xerces.xni.XNIException

  reset all components before parsing

### checkProperty

    protected void checkProperty(java.lang.String propertyId)
                          throws org.apache.xerces.xni.parser.XMLConfigurationException

  Check a property. If the property is known and supported, this method simply returns. Otherwise, the appropriate exception is thrown.
  Overrides:
    `checkProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - If the requested feature is not known or supported.

### addComponent

    protected void addComponent(org.apache.xerces.xni.parser.XMLComponent component)

### createValidationManager

    protected ValidationManager createValidationManager()

### setDTDValidatorFactory

    protected final void setDTDValidatorFactory(java.lang.String version)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.